/**
 * Test case for apHead.
 * Runs with mocha.
 */
'use strict'

const ApHead = require('../lib/ap_head.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const assert = require('assert')

describe('ap-head', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Ap head', (done) => {
    let html = ReactDOM.renderToStaticMarkup(
      React.createElement('html',
        {},
        React.createElement(ApHead, {
          title: 'foo',
          icon: './favicon.png',
          meta: [ {
            'description': 'This is description.'
          } ],
          itemProps: {
            'name': 'hoge',
            'description': 'This is the hoge'
          },
          version: '1.0.0',
          css: [
            'css/lib.css',
            'css/app.css'
          ],
          js: [
            'js/lib.js',
            'js/app.js'
          ],
          viewPort: {
            width: '360',
            initialScale: '1.0'
          },
          base: '..'
        })
      )
    )
    console.log(html)
    assert.ok(html)
    done()
  })
})

/* global describe, before, after, it */
